Unit tqsk3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSK3R_p, QSK3R_p;

function tqsk3r: String;

implementation

function tqsk3r: String;
var
I,IERR :Integer;
RINT :Array [0..4] of Real;
R :Array [0..19] of Real;
IND :Array [0..4] of Integer;
begin
Result := '';  {   }
QSK3R(RINT,0.0,1.0,FQSK3R,5,1.E-6,1,IND,R,IERR);
Result := Result + #$0D#$0A;
for I:=1 to 5 do
 begin
  Result := Result + Format('%20.16f      ',
 [RINT[I-1],IND[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
UtRes('tqsk3r',Result);  {     tqsk3r.res }
exit;
end;

end.
